"use strict";
{
    C3.Plugins.EMI_INDO_Ultimate_Camera.Acts = {
        Optimis(x, y, width, height)
        {
            const self = this;
            if (typeof window['CameraPreview'] == 'undefined')
            {
                return;

            }
            else
            {

                const ops = {
                    x: x,
                    y: y,
                    width: width,
                    height: height,
                    camera: CameraPreview.CAMERA_DIRECTION.BACK,
                    tapPhoto: self.tapphoto,
                    previewDrag: self.previewdrag,
                    toBack: self.toback,
                    tapFocus: self.tapfocus,
                    storeToFile: self.storetofile,
                    disableExifHeaderStripping: self.disableexifheader

                };

                window['CameraPreview'].startCamera(ops, success, fail);

                function success(result)
                {
                    self.eventResponse = (result);
                    self.Trigger(C3.Plugins.EMI_INDO_Ultimate_Camera.Cnds.Camera);
                    self.Trigger(self.Conditions.Camera);
                }

                function fail(result)
                {
                    self.eventResponse = (result);
                    self.Trigger(C3.Plugins.EMI_INDO_Ultimate_Camera.Cnds.Error);
                    self.Trigger(self.Conditions.Error);
                }

            }
        },

        Putar()
        {

            const self = this;
            if (typeof window['CameraPreview'] == 'undefined')
            {
                return;
            }
            else
            {
                window['CameraPreview'].switchCamera(success, fail);

                function success(result)
                {
                    self.eventResponse = (result);
                    self.Trigger(C3.Plugins.EMI_INDO_Ultimate_Camera.Cnds.Putar);
                    self.Trigger(self.Conditions.Putar);
                }

                function fail(result)
                {
                    self.eventResponse = (result);
                    self.Trigger(C3.Plugins.EMI_INDO_Ultimate_Camera.Cnds.Error);
                    self.Trigger(self.Conditions.Error);
                }

            }

        },

        Stopcamera()
        {

            const self = this;
            if (typeof window['CameraPreview'] == 'undefined')
            {
                return;
            }
            else
            {
                window['CameraPreview'].stopCamera(success, fail);

                function success(result)
                {
                    self.eventResponse = (result);
                    self.Trigger(C3.Plugins.EMI_INDO_Ultimate_Camera.Cnds.Stop);
                    self.Trigger(self.Conditions.Stop);
                }

                function fail(result)
                {
                    self.eventResponse = (result);
                    self.Trigger(C3.Plugins.EMI_INDO_Ultimate_Camera.Cnds.Error);
                    self.Trigger(self.Conditions.Error);
                }

            }
        },

        Show()
        {

            const self = this;
            if (typeof window['CameraPreview'] == 'undefined')
            {
                return;
            }
            else
            {
                window['CameraPreview'].show(success, fail);

                function success(result)
                {
                    self.eventResponse = (result);
                    self.Trigger(C3.Plugins.EMI_INDO_Ultimate_Camera.Cnds.Show);
                    self.Trigger(self.Conditions.Show);
                }

                function fail(result)
                {
                    self.eventResponse = (result);
                    self.Trigger(C3.Plugins.EMI_INDO_Ultimate_Camera.Cnds.Error);
                    self.Trigger(self.Conditions.Error);
                }

            }
        },

        Hide()
        {

            const self = this;
            if (typeof window['CameraPreview'] == 'undefined')
            {
                return;
            }
            else
            {
                window['CameraPreview'].hide(success, fail);

                function success(result)
                {
                    self.eventResponse = (result);
                    self.Trigger(C3.Plugins.EMI_INDO_Ultimate_Camera.Cnds.Hide);
                    self.Trigger(self.Conditions.Hide);
                }

                function fail(result)
                {
                    self.eventResponse = (result);
                    self.Trigger(C3.Plugins.EMI_INDO_Ultimate_Camera.Cnds.Error);
                    self.Trigger(self.Conditions.Error);
                }

            }
        }
    };
}